
!MCMcmUpdater class methodsFor: '*fixCharacterLimit' stamp: 'rabbt 9/30/2022 19:13'!
updateFromAlphaTrunk
	"MCMcmUpdater updateFromAlphaTrunk"

	"Update the image by loading all pending updates from the ALPHATrunk."
	(MCMcmUpdater defaultUpdateURL = 'https://source.squeak.org/trunk')
		ifFalse: [MCMcmUpdater defaultUpdateURL: 'https://source.squeak.org/trunk'].
	MCMcmUpdater updateFromServer.
! !

!MCMcmUpdater class methodsFor: '*fixCharacterLimit' stamp: 'rabbt 9/30/2022 19:14'!
updateFromAlphaTrunkAndSave
	"MCMcmUpdater updateFromAlphaTrunkAndSave"

	"Update the image by loading all pending updates from the ALPHATrunk."
	MCMcmUpdater updateFromAlphaTrunk.	
	Smalltalk snapshot: true andQuit: false.
! !

!TestSuite class methodsFor: '*fixCharacterLimit' stamp: 'rabbit 9/30/2022 13:11'!
testsPassInCategory: categoryName 

	| suite result |
	suite :=TestSuite new.
	((SystemOrganization listAtCategoryNamed: categoryName)
		collect: [:each | Environment default at: each])
			select: [:each | each isTestClass and: [each isAbstract not]]
			thenDo: [:each | each addToSuiteFromSelectors: suite].
	result := suite run.
	result hasPassed
		ifFalse: [self error: 'tests failed in ', categoryName].
	^ result hasPassed
! !

!TranscriptStream methodsFor: '*fixCharacterLimit' stamp: 'rabbit 9/5/2022 15:59'!
characterLimit
	"Tell the views how much to retain on screen"
	^ self class characterLimit! !
